Subject: Re: bug#47067: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Pip Cet <[email-masked]>
Date: Sat, 13 Mar 2021 08:53:04 +0000

On Sat, Mar 13, 2021 at 8:47 AM Eli Zaretskii <[email-masked]> wrote:
> > From: Pip Cet <[email-masked]>
> > Date: Sat, 13 Mar 2021 08:18:43 +0000
> > Cc: Andrea Corallo <[email-masked]>, [email-masked]
> >
> > > They are large functions.  I will post the disassembly if someone
> > > wants to look at it.
> >
> > I'm volunteering :-)
>
> Thanks.  I attach disassembly of 2 functions somehow involved in this,
> with the corresponding broken backtraces.

It's c-beginning-of-statement-1 that I think is the immediate caller.
Can you disassemble the function around 0x09c32285 (or, in another
dump, whatever calls Flss), particularly the 256 bytes or so before
that EIP?

Thanks!
Pip